# std::poisson_distribution::poisson_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | poisson distribution

explicit poisson_distribution( double mean = 1.0 ); | (1) | (since C++11)
explicit poisson_distribution( const param_type& params ); | (2) | (since C++11)

Constructs a new distribution object. The first version uses `mean` as the distribution parameter, the second version uses `params` as the distribution parameter.

### Parameters

mean | - | the μ distribution parameter (the mean of the distribution)
params | - | the distribution parameter set

### Notes

Requires that 0 < mean.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/poisson_distribution/poisson_distribution&oldid=62904"